Bug 1931673 - Fails to initialise owing to missing Requires: python3dist(click), python3dist(docutils)
Summary: Fails to initialise owing to missing Requires: python3dist(click), python3dis...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sphinx-click
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-22 22:05 UTC by fednuc
Modified: 2021-03-19 19:55 UTC (History)
3 users (show)

Fixed In Version: python-sphinx-click-2.5.0-3.fc35 python-sphinx-click-2.5.0-3.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-19 17:37:39 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github click-contrib sphinx-click pull 76 0 None open Explicitly add used requires, don't require pbr on runtime 2021-02-22 23:10:21 UTC

Description fednuc 2021-02-22 22:05:20 UTC
Description of problem:

This extension requires the Click and docutils Python modules, but neither are specified in the spec file.

The extention module (ext) fails to initialise as a result owing to the missing Click module. The docutils module will always be present on install as the RPM requires python3-sphinx, which in turn depends on python3-docutils anyway.

/usr/lib/python3.9/site-packages/sphinx_click/ext.py:

import click
from docutils import ...


Version-Release number of selected component (if applicable):

Latest as of writing (python3-sphinx-click-2.5.0-2.fc34.noarch.rpm, see Requires at https://koji.fedoraproject.org/koji/rpminfo?rpmID=24832081).

Comment 1 Miro Hrončok 2021-02-22 23:10:22 UTC
Indeed. Also, this package requires python3dist(pbr), which appears redundant.

A fix proposed to upstream: https://github.com/click-contrib/sphinx-click/pull/76

Comment 2 Fedora Update System 2021-02-24 17:18:29 UTC
FEDORA-2021-73b9c47c1b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2021-02-24 17:53:40 UTC
FEDORA-2021-68892b20c3 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-68892b20c3

Comment 4 Fedora Update System 2021-02-24 19:19:01 UTC
FEDORA-2021-68892b20c3 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-68892b20c3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-68892b20c3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-03-19 17:37:39 UTC
FEDORA-2021-68892b20c3 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-03-19 19:55:14 UTC
FEDORA-2021-68892b20c3 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.